using System;
using System.Web.Services;

[Microsoft.Web.Script.Services.ScriptService]
public class CustomerService : WebService {

    private NorthwindTableAdapters.CustomersTableAdapter customersAdapter = new NorthwindTableAdapters.CustomersTableAdapter();
    private NorthwindTableAdapters.OrdersTableAdapter ordersAdapter = new NorthwindTableAdapters.OrdersTableAdapter();

    [WebMethod]
    public string GetCustomersByCountry(string country)
    {
        Northwind.CustomersDataTable customers = customersAdapter.GetCustomersByCountry(country);

        if (customers.Rows.Count > 0)
            return ViewManager.RenderView("~/App_Views/Customers.ascx", customers);
        else
            return ViewManager.RenderView("~/App_Views/NoCustomers.ascx", null);
    }

    [WebMethod]
    public string GetOrdersByCustomer(string customerId)
    {
        Northwind.OrdersDataTable orders = ordersAdapter.GetOrdersByCustomerID(customerId);

        if (orders.Rows.Count > 0)
            return ViewManager.RenderView("~/App_Views/Orders.ascx", orders);
        else
            return ViewManager.RenderView("~/App_Views/NoOrders.ascx", null);
    }
}

